Skip to main content
`Ctrl`+`K`

# PetscHMapObjCreateWithSize

Create a hash table with a given initial size

## Synopsis

    #include <petsc/private/hashmapobj.h>
    PetscErrorCode PetscHMapObjCreateWithSize(PetscInt n, PetscHMapObj *ht)

## Input Parameter

- n - The size of the hash table

## Output Parameter

- ht - The hash table

## Note

`n` must be non-negative.

## See Also

`PetscHMapObjCreate()`, `PetscHMapObjDestroy()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages